<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::table('partners', function (Blueprint $table) {
            $table->renameColumn('age','birthday');
            $table->date('filing_at')->nullable()->comment('申请日期');
        });
    }

    public function down()
    {
        Schema::table('partners', function (Blueprint $table) {
            //
            $table->renameColumn('birthday','age');
            $table->dropColumn('filing_at');
        });
    }
};